## iwlwifi-dkms 3.15.1.6sutton3sazan1

=== debian/changelog ===
iwlwifi-dkms (3.15.1.6sutton3sazan1) trusty; urgency=medium

  * Bump package version to 3.15.1.6sutton3sazan1.

 -- Yu Ning <ning.yu@canonical.com>  Tue, 10 Mar 2015 12:34:06 +0800

iwlwifi-dkms (3.15.1.6sutton2) trusty; urgency=medium

  * Don't build this dkms after kernel 3.13.0-45-generic

 -- Yu Ning <ning.yu@canonical.com>  Mon, 09 Mar 2015 16:53:11 +0800

iwlwifi-dkms (3.15.1.6sutton1) trusty; urgency=medium

  * Update firmwares. (LP: #1387043)

 -- Adam Lee <adam.lee@canonical.com>  Tue, 18 Nov 2014 11:46:48 +0800

iwlwifi-dkms (3.15.1.6wataugafour1) precise; urgency=low

  * Add Adam's patch for watauga4. (LP: #1383190)

 -- Bruce Ma <bruce.ma@canonical.com>  Thu, 13 Nov 2014 13:49:42 +0800

iwlwifi-dkms (3.15.1.6) precise; urgency=medium

  * Add 095A:5510 support and its firmware

 -- Tsung-Han Lin <tsung-han.lin@canonical.com>  Wed, 05 Nov 2014 14:17:43 +0800

iwlwifi-dkms (3.15.1.4) precise; urgency=medium

  * update firmware from linux-firwmare.git (LP: #1271077)
    - Version should be 3.15.1.1somerville3 not 3.15.1.4

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Tue, 16 Sep 2014 10:42:42 +0800

iwlwifi-dkms (3.15.1.3) precise; urgency=low

  * update firmware (firmware from linux-firmware 0604 with LP: #1330857)
    - Version should be 3.15.1.1somerville2 not 3.15.1.3

 -- Shawn Wang <shawn.wang@canonical.com>  Mon, 28 Jul 2014 15:58:31 +0800

iwlwifi-dkms (3.15.1.2) trusty; urgency=medium

  * Add new Intel BT firmware. (LP: #1330857)

 -- Tsung-Han Lin <tsung-han.lin@canonical.com>  Wed, 02 Jul 2014 18:05:28 +0800

iwlwifi-dkms (3.15.1.1somerville1) precise; urgency=low

  * Automatically packaged by DKMS.

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Wed, 02 Jul 2014 15:54:49 +0800

iwlwifi-dkms (3.13.8.3) precise; urgency=low

  * disable btusb pm function

 -- Shawn Wang <shawn.wang@canonical.com>  Tue, 24 Jun 2014 17:15:35 +0800

iwlwifi-dkms (3.13.8.2) precise; urgency=low

  * add 3160-autosuspend-workaround for pandora-intel-hsw

 -- Shawn Wang <shawn.wang@canonical.com>  Thu, 19 Jun 2014 18:22:49 +0800

iwlwifi-dkms (3.13.8) precise; urgency=low

  * update firmware LP: #1327163

 -- Shawn Wang <shawn.wang@canonical.com>  Tue, 17 Jun 2014 16:43:37 +0800

iwlwifi-dkms (3.13.7) precise; urgency=low

  * add modaliases for iwlwifi-firmware

 -- Shawn Wang <shawn.wang@canonical.com>  Mon, 16 Jun 2014 13:54:10 +0800

iwlwifi-dkms (3.13.6) precise; urgency=low

  * seperate driver and firmware

 -- Shawn Wang <shawn.wang@canonical.com>  Thu, 12 Jun 2014 19:41:06 +0800

iwlwifi-dkms (3.13.5) precise; urgency=low

  * update bt firmware (LP: #1310558)

 -- Shawn Wang <shawn.wang@canonical.com>  Tue, 27 May 2014 15:52:41 +0800

iwlwifi-dkms (3.13.4) precise; urgency=low

  * update .config to fix few btusb depends

 -- Shawn Wang <shawn.wang@canonical.com>  Tue, 20 May 2014 16:03:44 +0800

iwlwifi-dkms (3.13.3) precise; urgency=low

  * add firmware and update btusb

 -- Shawn Wang <shawn.wang@canonical.com>  Fri, 09 May 2014 15:08:02 +0800

iwlwifi-dkms (3.13.2) precise; urgency=low

  * Automatically packaged by DKMS.

 -- Shawn Wang <shawn.wang@canonical.com>  Wed, 23 Apr 2014 14:53:08 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=iwlwifi
NAME=iwlwifi
VERSION=3.15.1.6sutton3sazan1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_install
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## iwlwifi-dkms 3.15.1.6wataugafour2

=== iwlwifi/Makefile ===
#
# Makefile for the output source package
#
KVER?= $(shell uname -r)

ifeq ($(KERNELRELEASE),)

MAKEFLAGS += --no-print-directory
SHELL := /bin/bash
BACKPORT_PWD := $(shell pwd)

KMODDIR ?= updates
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG := "INSTALL_MOD_PATH=$(KLIB)"
else
KLIB := /lib/modules/$(KVER)/
KMODPATH_ARG :=
endif
KLIB_BUILD ?= $(KLIB)/build/
KERNEL_CONFIG := $(KLIB_BUILD)/.config
KERNEL_MAKEFILE := $(KLIB_BUILD)/Makefile
CONFIG_MD5 := $(shell md5sum $(KERNEL_CONFIG) 2>/dev/null | sed 's/\s.*//')

export KLIB KLIB_BUILD BACKPORT_PWD KMODDIR KMODPATH_ARG

# disable built-in rules for this file
.SUFFIXES:

.PHONY: default
default:
	@$(MAKE) modules

.PHONY: mrproper
mrproper:
	@test -f .config && $(MAKE) clean || true
	@rm -f .config
	@rm -f .kernel_config_md5 Kconfig.versions Kconfig.kernel
	@rm -f backport-include/backport/autoconf.h

.DEFAULT:
	@set -e ; test -f .local-symbols || (						\
	echo "/--------------"								;\
	echo "| You shouldn't run make in the backports tree, but only in"		;\
	echo "| the generated output. This here is only the skeleton code"		;\
	echo "| copied into the output directory. To use the backport system"		;\
	echo "| from scratch, go into the top-level directory and run"			;\
	echo "|	./gentree.py /path/to/linux-next/ /tmp/output"				;\
	echo "| and then make menuconfig/... in the output directory. See"		;\
	echo "|	./gentree.py --help"							;\
	echo "| for more options."							;\
	echo "\\--"									;\
	false)
	@set -e ; test -f $(KERNEL_CONFIG) || (						\
	echo "/--------------"								;\
	echo "| Your kernel headers are incomplete/not installed."			;\
	echo "| Please install kernel headers, including a .config"			;\
	echo "| file or use the KLIB/KLIB_BUILD make variables to"			;\
	echo "| set the kernel to build against, e.g."					;\
	echo "|   make KLIB=/lib/modules/3.1.7/"					;\
	echo "| to compile/install for the installed kernel 3.1.7"			;\
	echo "| (that isn't currently running.)"					;\
	echo "\\--"									;\
	false)
	@set -e ; if [ "$$(cat .kernel_config_md5 2>/dev/null)" != "$(CONFIG_MD5)" ]	;\
	then 										\
		echo -n "Generating local configuration database from kernel ..."	;\
		grep -v -f .local-symbols $(KERNEL_CONFIG) | grep = | (			\
			while read l ; do						\
				if [ "$${l:0:7}" != "CONFIG_" ] ; then			\
					continue					;\
				fi							;\
				l=$${l:7}						;\
				n=$${l%%=*}						;\
				v=$${l#*=}						;\
				if [ "$$v" = "m" ] ; then				\
					echo config $$n					;\
					echo '    tristate' 				;\
				elif [ "$$v" = "y" ] ; then				\
					echo config $$n					;\
					echo '    bool'					;\
				else							\
					continue					;\
				fi							;\
				echo "    default $$v"					;\
				echo ""							;\
			done								\
		) > Kconfig.kernel							;\
		kver=$$($(MAKE) --no-print-directory -C $(KLIB_BUILD) kernelversion |	\
			sed 's/^\(\(3\|2\.6\)\.[0-9]\+\).*/\1/;t;d')			;\
		test "$$kver" != "" || echo "Kernel version parse failed!"		;\
		test "$$kver" != ""							;\
		kvers="$$(seq 14 39 | sed 's/^/2.6./')"					;\
		kvers="$$kvers $$(seq 0 99 | sed 's/^/3./')"				;\
		print=0									;\
		for v in $$kvers ; do							\
			if [ "$$print" = "1" ] ; then					\
				echo config BACKPORT_KERNEL_$$(echo $$v | tr . _)	;\
				echo "    def_bool y"					;\
			fi								;\
			if [ "$$v" = "$$kver" ] ; then print=1 ; fi			;\
		done > Kconfig.versions							;\
		# RHEL as well, sadly we need to grep for it				;\
		RHEL_MAJOR=$$(grep '^RHEL_MAJOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		RHEL_MINOR=$$(grep '^RHEL_MINOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		for v in $$(seq 0 $$RHEL_MINOR) ; do 					\
			echo config BACKPORT_RHEL_KERNEL_$${RHEL_MAJOR}_$$v		;\
			echo "    def_bool y"						;\
		done >> Kconfig.versions						;\
		echo " done."								;\
	fi										;\
	echo "$(CONFIG_MD5)" > .kernel_config_md5
	@$(MAKE) -f Makefile.real "$@"

.PHONY: defconfig-help
defconfig-help:
	@echo "Driver or subsystem configuration targets:"
	@set -e						;\
		bk_configs="$$(ls defconfigs/*)" 	;\
		for cfg in $$bk_configs; do		\
			echo "  defconfig-$${cfg##defconfigs/}"	;\
		done
	@echo ""

.PHONY: help
help: defconfig-help
	@echo "Cleaning targets:"
	@echo "  clean           - Remove most generated files but keep the config and"
	@echo "                    enough build support to build external modules"
	@echo "  mrproper        - Remove all generated files + config + various backup files"
	@echo ""
	@echo "Driver configuration help:"
	@echo "  defconfig-help  - List all prearranged defconfig-targets we have"
	@echo "                    designed for you. You can use this to find"
	@echo "                    driver specific configs in case all you really"
	@echo "                    need is to just compile one or a small group "
	@echo "                    of drivers."
	@echo ""
	@echo "Configuration targets:"
	@echo "  menuconfig      - Update current config utilising a menu based program"
	@echo "  oldconfig       - Update current config utilising a provided .config as base"
	@echo "  oldaskconfig    - ??"
	@echo "  silentoldconfig - Same as oldconfig, but quietly, additionally update deps"
	@echo "  allnoconfig     - New config where all options are answered with no"
	@echo "  allyesconfig    - New config where all options are accepted with yes"
	@echo "  allmodconfig    - New config selecting modules when possible"
	@echo "  alldefconfig    - New config with all symbols set to default"
	@echo "  randconfig      - New config with random answer to all options"
	@echo "  listnewconfig   - List new options"
	@echo "  olddefconfig    - Same as silentoldconfig but sets new symbols to their default value"
	@echo ""
	@echo "Other generic targets:"
	@echo "  all             - Build all targets marked with [*]"
	@echo "* modules         - Build all modules"
	@echo ""
	@echo "Architecture specific targets:"
	@echo "  install         - Install modules"
	@echo "  uninstall       - Uninstall modules"
	@echo ""
	@echo "Execute "make" or "make all" to build all targets marked with [*]"
else
include $(BACKPORT_PWD)/Makefile.kernel
endif

=== iwlwifi/compat/Makefile ===
ccflags-y += -I$(src)
obj-m += compat.o
compat-y += main.o

# Kernel backport compatibility code
compat-$(CPTCFG_BACKPORT_KERNEL_3_0) += compat-3.0.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_1) += compat-3.1.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_2) += backport-3.2.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_3) += compat-3.3.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_4) += compat-3.4.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_5) += compat-3.5.o user_namespace.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_6) += compat-3.6.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_7) += compat-3.7.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_8) += compat-3.8.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_9) += compat-3.9.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_10) += backport-3.10.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_12) += backport-3.12.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_13) += backport-3.13.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_14) += backport-3.14.o
compat-$(CPTCFG_BACKPORT_KERNEL_3_15) += backport-3.15.o

compat-$(CPTCFG_BACKPORT_BUILD_CRYPTO_CCM) += crypto-ccm.o
compat-$(CPTCFG_BACKPORT_BUILD_DMA_SHARED_HELPERS) += dma-shared-helpers.o
cordic-objs += lib-cordic.o
obj-$(CPTCFG_BACKPORT_BUILD_CORDIC) += cordic.o
compat-$(CPTCFG_BACKPORT_BUILD_AVERAGE) += lib-average.o
compat-$(CPTCFG_BACKPORT_BUILD_CRYPTO_CCM) += crypto-ccm.o
compat-$(CPTCFG_BACKPORT_BUILD_DMA_SHARED_BUFFER) += drivers-base-dma-buf.o

=== iwlwifi/drivers/media/firewire/Makefile ===
obj-$(CPTCFG_DVB_FIREDTV) += firedtv.o

firedtv-y += firedtv-avc.o firedtv-ci.o firedtv-dvb.o firedtv-fe.o firedtv-fw.o
firedtv-$(CPTCFG_DVB_FIREDTV_INPUT)    += firedtv-rc.o

ccflags-y += -I$(backport_srctree)/drivers/media/dvb-core

=== iwlwifi/drivers/net/ethernet/Makefile ===
#
# Makefile for the Linux network Ethernet device drivers.
#
#
#obj-$(CONFIG_NET_VENDOR_3COM) += 3com/
#obj-$(CONFIG_NET_VENDOR_8390) += 8390/
#obj-$(CONFIG_NET_VENDOR_ADAPTEC) += adaptec/
#obj-$(CONFIG_GRETH) += aeroflex/
#obj-$(CONFIG_NET_VENDOR_ALLWINNER) += allwinner/
#obj-$(CONFIG_NET_VENDOR_ALTEON) += alteon/
#obj-$(CONFIG_ALTERA_TSE) += altera/
#obj-$(CONFIG_NET_VENDOR_AMD) += amd/
#obj-$(CONFIG_NET_VENDOR_APPLE) += apple/
#obj-$(CONFIG_NET_VENDOR_ARC) += arc/
obj-$(CPTCFG_NET_VENDOR_ATHEROS) += atheros/
#obj-$(CONFIG_NET_CADENCE) += cadence/
#obj-$(CONFIG_NET_BFIN) += adi/
obj-$(CPTCFG_NET_VENDOR_BROADCOM) += broadcom/
#obj-$(CONFIG_NET_VENDOR_BROCADE) += brocade/
#obj-$(CONFIG_NET_CALXEDA_XGMAC) += calxeda/
#obj-$(CONFIG_NET_VENDOR_CHELSIO) += chelsio/
#obj-$(CONFIG_NET_VENDOR_CIRRUS) += cirrus/
#obj-$(CONFIG_NET_VENDOR_CISCO) += cisco/
#obj-$(CPTCFG_CX_ECAT) += ec_bhf.o
#obj-$(CONFIG_DM9000) += davicom/
#obj-$(CPTCFG_DNET) += dnet.o
#obj-$(CONFIG_NET_VENDOR_DEC) += dec/
#obj-$(CONFIG_NET_VENDOR_DLINK) += dlink/
#obj-$(CONFIG_NET_VENDOR_EMULEX) += emulex/
#obj-$(CONFIG_NET_VENDOR_EXAR) += neterion/
#obj-$(CONFIG_NET_VENDOR_FARADAY) += faraday/
#obj-$(CONFIG_NET_VENDOR_FREESCALE) += freescale/
#obj-$(CONFIG_NET_VENDOR_FUJITSU) += fujitsu/
#obj-$(CONFIG_NET_VENDOR_HP) += hp/
#obj-$(CONFIG_NET_VENDOR_IBM) += ibm/
obj-$(CPTCFG_NET_VENDOR_INTEL) += intel/
#obj-$(CONFIG_NET_VENDOR_I825XX) += i825xx/
#obj-$(CONFIG_NET_VENDOR_XSCALE) += xscale/
#obj-$(CONFIG_IP1000) += icplus/
#obj-$(CPTCFG_JME) += jme.o
#obj-$(CPTCFG_KORINA) += korina.o
#obj-$(CPTCFG_LANTIQ_ETOP) += lantiq_etop.o
#obj-$(CONFIG_NET_VENDOR_MARVELL) += marvell/
#obj-$(CONFIG_NET_VENDOR_MELLANOX) += mellanox/
#obj-$(CONFIG_NET_VENDOR_MICREL) += micrel/
#obj-$(CONFIG_NET_VENDOR_MICROCHIP) += microchip/
#obj-$(CONFIG_NET_VENDOR_MOXART) += moxa/
#obj-$(CONFIG_NET_VENDOR_MYRI) += myricom/
#obj-$(CPTCFG_FEALNX) += fealnx.o
#obj-$(CONFIG_NET_VENDOR_NATSEMI) += natsemi/
#obj-$(CPTCFG_NET_NETX) += netx-eth.o
#obj-$(CONFIG_NET_VENDOR_NUVOTON) += nuvoton/
#obj-$(CONFIG_NET_VENDOR_NVIDIA) += nvidia/
#obj-$(CONFIG_LPC_ENET) += nxp/
#obj-$(CONFIG_OCTEON_MGMT_ETHERNET) += octeon/
#obj-$(CONFIG_NET_VENDOR_OKI) += oki-semi/
#obj-$(CPTCFG_ETHOC) += ethoc.o
#obj-$(CONFIG_NET_PACKET_ENGINE) += packetengines/
#obj-$(CONFIG_NET_VENDOR_PASEMI) += pasemi/
#obj-$(CONFIG_NET_VENDOR_QLOGIC) += qlogic/
#obj-$(CONFIG_NET_VENDOR_REALTEK) += realtek/
#obj-$(CONFIG_SH_ETH) += renesas/
#obj-$(CONFIG_NET_VENDOR_RDC) += rdc/
#obj-$(CPTCFG_S6GMAC) += s6gmac.o
#obj-$(CONFIG_NET_VENDOR_SAMSUNG) += samsung/
#obj-$(CONFIG_NET_VENDOR_SEEQ) += seeq/
#obj-$(CONFIG_NET_VENDOR_SILAN) += silan/
#obj-$(CONFIG_NET_VENDOR_SIS) += sis/
#obj-$(CONFIG_SFC) += sfc/
#obj-$(CONFIG_NET_VENDOR_SGI) += sgi/
#obj-$(CONFIG_NET_VENDOR_SMSC) += smsc/
#obj-$(CONFIG_NET_VENDOR_STMICRO) += stmicro/
#obj-$(CONFIG_NET_VENDOR_SUN) += sun/
#obj-$(CONFIG_NET_VENDOR_TEHUTI) += tehuti/
#obj-$(CONFIG_NET_VENDOR_TI) += ti/
#obj-$(CONFIG_TILE_NET) += tile/
#obj-$(CONFIG_NET_VENDOR_TOSHIBA) += toshiba/
#obj-$(CONFIG_NET_VENDOR_TUNDRA) += tundra/
#obj-$(CONFIG_NET_VENDOR_VIA) += via/
#obj-$(CONFIG_NET_VENDOR_WIZNET) += wiznet/
#obj-$(CONFIG_NET_VENDOR_XILINX) += xilinx/
#obj-$(CONFIG_NET_VENDOR_XIRCOM) += xircom/

=== debian/changelog ===
iwlwifi-dkms (3.15.1.6wataugafour2) precise; urgency=medium

  * Correct the version in dkms.conf, rules, prerm.

 -- Bruce Ma <bruce.ma@canonical.com>  Tue, 18 Nov 2014 14:31:21 +0800

=== debian/control ===
Source: iwlwifi-dkms
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: iwlwifi-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}, iwlwifi-firmware
Description: iwlwifi driver in DKMS format.
XB-Modaliases: ${modaliases}

Package: iwlwifi-firmware
Architecture: all
Depends: ${misc:Depends}
Description: firmware only
XB-Modaliases: ${modaliases}

Package: iwlwifi-autosuspend-workaround
Architecture: all
Depends: ${misc:Depends}
Description: An workaround for 3160 bluetooth to bypass usb autosuspend issue
 It should be updated by firmware
XB-Modaliases: ${modaliases}

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=iwlwifi
 NAME=iwlwifi
-VERSION=3.15.1.6sutton3sazan1
+VERSION=3.15.1.6wataugafour2
 
 configure: configure-stamp
 configure-stamp:
